// pages/area/area.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:0,
    pageCount: 0,
    abilityPoint:0,
    schoolCount:0,
    schoolList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //获取列表
    this.getSchoolList();
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.page+1 < this.data.pageCount) {
      this.setData({
        page: this.data.page + 1,
      })
      //获取列表
      this.getSchoolList();
    } else {
      wx.showToast({
        title: '没有更多数据了！',
        icon: 'success',
        duration: 1500
      });
      return;
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  getSchoolList() {
    //获取列表
    var that = this;
    var config = wx.getStorageSync('config');
    wx: wx.request({
      url: app.url + 'ajax_get_area_info.php',
      data: {
        unionId: config.unionId,
        page: that.data.page
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            pageCount: res.data.result.pageCount,
            schoolCount: res.data.result.schoolCount,
            abilityPoint: res.data.result.abilityPoint,
            schoolList: that.data.schoolList.concat(res.data.result.schoolList)
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //显示学校的详细信息
  schoolDetails(e){
    //获取参数的值，分割为schoolNo和originalSource
    let dataIndex = e.currentTarget.dataset['index'];
    let strs = dataIndex.split("_");
    let schoolNo = strs[0];
    let originalSource = strs[1];
    wx.navigateTo({
      url: '../schoolDetails/schoolDetails?schoolNo=' + schoolNo + '&originalSource=' + originalSource,
    });
  }
})